

function checkForm() {
    $('form').addClass('form-sent');
    //Panel vues js
    if ($('form').find('.tab-pane').length) {
        $('form').find('.tab-pane').each(function (i, panel) {
            if ($(panel).find(':invalid').length) {
                $('#nav-params').find('.nav-item:eq(' + i + ')').addClass('has-invalid');
            } else {
                $('#nav-params').find('.nav-item:eq(' + i + ')').removeClass('has-invalid');
            }
        })
    }
}

$('button[type="submit"]').on('click', function (e) {

    checkForm();
})